#!/usr/bin/env bash

#SBATCH -n 1
#SBATCH --time 7-00:00:00
#SBATCH --error=job.%J.err
#SBATCH --output=job.%J.out



PATH_TO_CONF_FILE=~jvegas/PycharmProjects/earthdiagnostics/diags.conf
PATH_TO_DIAGNOSTICS=~jvegas/PycharmProjects/earthdiagnostics
PATH_TO_CONDAENV=/home/Earth/jvegas/.conda/envs/earthdiagnostics3/

module purge
module load CDFTOOLS/3.0a8-foss-2015a
module load Miniconda2

set -xv

source activate ${PATH_TO_CONDAENV}

export PYTHONPATH=${PATH_TO_DIAGNOSTICS}:${PYTHONPATH}
cd ${PATH_TO_DIAGNOSTICS}/earthdiagnostics/
./earthdiags.py -lc DEBUG -f ${PATH_TO_CONF_FILE}
