# coding=utf-8
"""Script to run the tests for EarthDiagnostics and generate the code coverage report"""

import os
import sys
import pytest
work_path = os.path.abspath(os.path.join(os.path.dirname(__file__)))
os.chdir(work_path)
print(work_path)


version = sys.version_info[0]
report_dir = 'test/report/python{}'.format(version)
errno = pytest.main([
    'test',
    '--ignore=test/report',
    '--cov=earthdiagnostics',
    '--cov-report=term',
    '--cov-report=html:{}/coverage_html'.format(report_dir),
    '--cov-report=xml:{}/coverage.xml'.format(report_dir),
    '--profile',
    '--profile-svg',
])
sys.exit(errno)
