# coding=utf-8
from unittest import TestCase

from earthdiagnostics.ocean.gyres import Gyres
from mock import Mock


class TestGyres(TestCase):

    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.config.experiment.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

        self.gyres = Gyres(self.data_manager, '20000101', 1, 1, 'model_version')

    def test_generate_jobs(self):
        jobs = Gyres.generate_jobs(self.diags, ['diagnostic'])
        self.assertEqual(len(jobs), 2)
        self.assertEqual(jobs[0], Gyres(self.data_manager, '20010101', 0, 0, 'model_version'))
        self.assertEqual(jobs[1], Gyres(self.data_manager, '20010101', 0, 1, 'model_version'))

        with self.assertRaises(Exception):
            Gyres.generate_jobs(self.diags, ['diagnostic', '0', '0', '0', '0', '0', '0', '0'])

    def test_str(self):
        self.assertEqual(str(self.gyres), 'Gyres Startdate: 20000101 Member: 1 Chunk: 1 Model version: model_version')
