# coding=utf-8
from unittest import TestCase
from earthdiagnostics.box import Box
from earthdiagnostics.ocean.heatcontentlayer import HeatContentLayer
from mock import Mock


class TestHeatContentLayer(TestCase):

    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

        self.weight = Mock()

        self.box = Box(True)
        self.box.min_depth = 0
        self.box.max_depth = 100

    def test_str(self):
        diag = HeatContentLayer(self.data_manager, '20000101', 1, 1, self.box, self.weight, 0, 10)
        self.assertEqual(str(diag), 'Heat content layer Startdate: 20000101 Member: 1 Chunk: 1 Box: 0-100m')
