# coding=utf-8
from unittest import TestCase

from earthdiagnostics.ocean.mixedlayerheatcontent import MixedLayerHeatContent
from mock import Mock


class TestMixedLayerHeatContent(TestCase):

    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

        self.mixed = MixedLayerHeatContent(self.data_manager, '20000101', 1, 1)

    def test_generate_jobs(self):
        jobs = MixedLayerHeatContent.generate_jobs(self.diags, ['diagnostic'])
        self.assertEqual(len(jobs), 2)
        self.assertEqual(jobs[0], MixedLayerHeatContent(self.data_manager, '20010101', 0, 0))
        self.assertEqual(jobs[1], MixedLayerHeatContent(self.data_manager, '20010101', 0, 1))

        with self.assertRaises(Exception):
            MixedLayerHeatContent.generate_jobs(self.diags, ['diagnostic', '0', '0', '0', '0', '0', '0', '0'])

    def test_str(self):
        self.assertEqual(str(self.mixed), 'Mixed layer heat content Startdate: 20000101 Member: 1 Chunk: 1')
