# coding=utf-8
from unittest import TestCase

from earthdiagnostics.ocean.mxl import Mxl
from mock import Mock


class TestMxl(TestCase):

    def setUp(self):
        self.data_manager = Mock()

        self.diags = Mock()
        self.diags.model_version = 'model_version'
        self.diags.config.experiment.get_chunk_list.return_value = (('20010101', 0, 0), ('20010101', 0, 1))

    def test_generate_jobs(self):
        jobs = Mxl.generate_jobs(self.diags, ['diagnostic'])
        self.assertEqual(len(jobs), 2)
        self.assertEqual(jobs[0], Mxl(self.data_manager, '20010101', 0, 0))
        self.assertEqual(jobs[1], Mxl(self.data_manager, '20010101', 0, 1))

        with self.assertRaises(Exception):
            Mxl.generate_jobs(self.diags, ['diagnostic', 'extra'])

    def test_str(self):
        diag = Mxl(self.data_manager, '20010101', 0, 0)
        self.assertEqual(str(diag), 'Mixed layer Startdate: 20010101 Member: 0 Chunk: 0')
