"""Script to move a normal variable to make it look as it is an interpolated one"""
import shutil
import os

EXP_PATH = '/esarchive/exp/ecearth/a0pe/cmorfiles/BSC/EC-EARTH3/a0pe/'
GRID_NAME = 'grib'

for startdate in os.listdir(EXP_PATH):
    var_path = os.path.join(EXP_PATH, startdate, 'mon', 'atmos', 'ta')
    new_var_path = os.path.join(var_path, GRID_NAME)
    if not os.path.isdir(var_path):
        continue
    if not os.path.exists(new_var_path):
        os.makedirs(new_var_path)

    for member in os.listdir(var_path):
        if not member.endswith('i1p1'):
            continue
        member_path = os.path.join(var_path, member)
        destiny_member_path = os.path.join(new_var_path, member)
        shutil.move(member_path, destiny_member_path)
